classification
Title: Updating __sizeof__ tests
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, loewis, meador.inge, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-07-27 15:33 by serhiy.storchaka, last changed 2012-07-29 15:47 by meador.inge. This issue is now closed.

Files
File name Uploaded Description Edit
sizeof_tests-3.3_2.patch serhiy.storchaka, 2012-07-29 06:57 Patch for 3.3 review
sizeof_tests-3.2_2.patch serhiy.storchaka, 2012-07-29 06:58 Patch for 3.2 review
sizeof_tests-2.7_2.patch serhiy.storchaka, 2012-07-29 06:58 Patch for 2.7 review
Messages (9)
msg166574 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-27 15:33
The proposed patches move to test.support some functions, which will be useful for testing __sizeof__. The next few patches will use it. Also in 3.3 some bugs have fixed, now "n" is used for Py_ssize_t and Py_hash_t (which is not long now).
msg166580 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-27 16:13
The problem is that this adds new features to test_support, which can only be done in 3.4.
msg166599 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-27 19:02
Can we get around this by renaming check_sizeof into _check_sizeof? Or would 
we have to duplicate these auxiliary functions in every test file with 
__sizeof__ test?
msg166604 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-27 19:47
Not sure: that's for release managers to decide.
msg166659 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-28 13:47
I asked in Python-Dev, and if I understood the answers correctly, we can make changes to 2.7 and 3.2 without fear. For 3.3 risk is higher, so we need to be more attentive. However patch for 3.3 contains not only the potential improvements for other tests, but also bug fixes (I think these bugs should cause tests failure on the platforms where sizeof(Py_ssize_t) != sizeof(long) or sizeof(Py_ssize_t) != sizeof(void*)).

Of cause, if Georg Brandl not vetoes this.
msg166721 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-29 06:57
Patches updated. Simplified struct __sizeof__ testing for 2.7 and 3.2 and fixed (using 'n' for Py_ssize_t) for 3.3.
msg166766 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-29 14:39
New changeset efade142ef01 by Martin v. Löwis in branch '3.2':
Issue #15467: Move helpers for __sizeof__ tests into test_support.
http://hg.python.org/cpython/rev/efade142ef01

New changeset d43ff8eb4cb3 by Martin v. Löwis in branch 'default':
Issue #15467: Merge 3.2
http://hg.python.org/cpython/rev/d43ff8eb4cb3
msg166767 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-29 14:39
New changeset fa95b04e67fd by Martin v. Löwis in branch '2.7':
Issue #15467: Move helpers for __sizeof__ tests into test_support.
http://hg.python.org/cpython/rev/fa95b04e67fd
msg166768 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-29 14:40
I wasn't aware that test_support isn't public API. The patches are fine then; committed.
History
Date User Action Args
2012-07-29 15:47:55meador.ingesettype: behavior
stage: resolved
2012-07-29 14:40:04loewissetstatus: open -> closed
resolution: fixed
messages: + msg166768
2012-07-29 14:39:25python-devsetmessages: + msg166767
2012-07-29 14:39:01python-devsetnosy: + python-dev
messages: + msg166766
2012-07-29 06:59:57serhiy.storchakasetfiles: - sizeof_tests-2.7.patch
2012-07-29 06:59:45serhiy.storchakasetfiles: - sizeof_tests-3.2.patch
2012-07-29 06:59:28serhiy.storchakasetfiles: - sizeof_tests-3.3.patch
2012-07-29 06:58:54serhiy.storchakasetfiles: + sizeof_tests-2.7_2.patch
2012-07-29 06:58:11serhiy.storchakasetfiles: + sizeof_tests-3.2_2.patch
2012-07-29 06:57:23serhiy.storchakasetfiles: + sizeof_tests-3.3_2.patch
nosy: + meador.inge
messages: + msg166721

2012-07-28 13:47:53serhiy.storchakasetnosy: + georg.brandl
messages: + msg166659
2012-07-27 19:47:42loewissetmessages: + msg166604
2012-07-27 19:02:16serhiy.storchakasetmessages: + msg166599
2012-07-27 16:13:31loewissetmessages: + msg166580
2012-07-27 15:34:44serhiy.storchakasetfiles: + sizeof_tests-2.7.patch
2012-07-27 15:34:23serhiy.storchakasetfiles: + sizeof_tests-3.2.patch
2012-07-27 15:33:45serhiy.storchakacreate